/* -----------------------------------------------
bepress IR local stylesheet.
Author: Jami Wardlow
Version: Feb 2026
PLEASE SAVE THIS FILE LOCALLY!
----------------------------------------------- */

/* ---------------- Meta Elements ---------------- */

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

	/* --- Meta styles and background --- */

body {
	font: normal 14px/1.5 "Roboto", sans-serif;  /* should be medium except when fitting into a fixed container */
	background: #fff url(assets/md5images/7631edf1fe4821cd816bfe514d04c229.png) no-repeat center top;
}

#utpmy { background: url(assets/md5images/003541b9c843681d07ef794b060eb624.gif) repeat-x left bottom; }

/* ---------------- Header ---------------- */

#utpmy #header {
	position: relative;  /* needed for logo positioning */
	height: auto !important; /* !important overrides mbl styling */
	background: transparent;
}

#utpmy #banner_image {
	display: block; /* removes descender of inline element */
	width: 980px; /* not necessary if image is sized correctly */
	height: auto !important;  /* avoids warping improperly sized header image / SUP-19994 */
}

	/* --- Logo --- */

#utpmy #logo_image {
	position: absolute !important; /* !important overrides mbl styling */
	top: 0;
	left: 0;
	width: 23.979591836734694% !important;  /* 470 / 1960 */
	height: auto !important; /* !important avoids DC assigning incorrect height to logo image */
}

#utpmy #header a#banner_link:focus img,
#utpmy #header a#logo_link:focus img,
#utpmy #bepress a:focus {
    outline: 2px dotted #75a3d3;
}

/* ---------------- Navigation ---------------- */

#utpmy #navigation { border-bottom: 1px solid #295f94; }

#utpmy #navigation,
#utpmy #navigation #tabs {
	height: 39px;
	white-space: nowrap;
}

#utpmy #navigation #tabs,
#utpmy #navigation #tabs ul,
#utpmy #navigation #tabs ul li {
	padding: 0;
	margin: 0;
}

#utpmy #navigation #tabs,
#utpmy #navigation #tabs ul {
	display: flex;
	justify-content: flex-start;
	width: 100%;
}

#utpmy #navigation #tabs a {
	font: normal 13px "Roboto", sans-serif;
	display: block;
	height: 39px;
	line-height: 39px;
	color: #104e7b;
	background-color: transparent;
	padding: 0 13px;
	margin: 0;
	border: 0;
}

#utpmy #navigation #tabs a:hover,
#utpmy #navigation #tabs a:active,
#utpmy #navigation #tabs a:focus {
	text-decoration: underline;
}

#utpmy #navigation #tabs #tabone a { padding-left: 12px; } /* switch for right-aligned nav tabs */

/* ---------------- Sidebar ---------------- */

#utpmy #sidebar h2 {
	font: normal  16px "Roboto", sans-serif;
	color: #000;
	background: transparent;
	border: none;
}

#utpmy #sidebar a {
	font: normal 14px "Roboto", sans-serif;
	color: #104e7b;
	text-decoration: none;
}

#utpmy #sidebar a:hover,
#utpmy #sidebar a:active,
#utpmy #sidebar a:focus {
	color: #000;
	text-decoration: underline;
}

#utpmy #sidebar #sidebar-search label {
	font: normal 14px "Roboto", sans-serif;
	color: #000;
}

#utpmy #sidebar #sidebar-search {
	margin-top: 8px;
	padding-left: 15px;
}

#utpmy #sidebar #sidebar-search span.border { background: transparent; }

.searchbutton { cursor: pointer; } /* best practice, should move to ir-layout.css */

/* ---------------- Main Content ---------------- */

/* this has been creating a gap on top of full-width homepage images. trying to figure out if it's actually necessary for any reason */
/* #utpmy #content { padding-top: 16px; } */

	/* Sticky Footer */

#utpmy #content { /* calculates 100% viewport height - (total heights of header, navigation and footer) */
	min-height: calc(100vh - 241px);
}
	/* --- Breadcrumbs --- */

#utpmy #main.text div.crumbs a:link,
#utpmy #main.text div.crumbs a:visited {
	text-decoration: none;
	color: #104e7b;
}

#utpmy #main.text div.crumbs a:hover,
#utpmy #main.text div.crumbs a:active,
#utpmy #main.text div.crumbs a:focus {
	text-decoration: underline;
	color: #000;
}

#utpmy #breadcrumb a,
#utpmy .crumbs p a,
#utpmy #pager li {
	font-size: 12px;
}

#utpmy #dcn-home > #homepage-intro { margin: 15px 0; }

	/* --- Headers --- */
h2 {
	font-size: 22px;
	text-align: left;
	}
#utpmy #homepage-heading-row h2 {
	font: bold 22px "Roboto", sans-serif;
	margin-bottom: 20px;
}

h3 {
	margin: 0;
	text-decoration: underline;
}

/* FF, IE, Chrome take parent element's color as text-decoration-color (black, usually) */

#utpmy #cover-browse a {
	font: 400 16px/1.6 "Roboto", sans-serif;
	text-decoration: none;
}

#utpmy #cover-browse a:hover,
#utpmy #cover-browse a:focus,
#utpmy #cover-browse a:active {
	text-decoration: underline;
}

	/* --- Links --- */

#utpmy #main.text a:link,
#utpmy #main.text a:visited {
	color: #104e7b; /* declared for #network-icon text */
}

#utpmy #main.text a:hover,
#utpmy #main.text a:active,
#utpmy #main.text a:focus {
	color: #000;
	text-decoration: underline;
}

	/* PotD / Top DL widgets */

#utpmy .box.aag h2,
#utpmy .box.potd h2 {
	font: normal 17px "Roboto", sans-serif;
	width: 267px;
	border-bottom: 1px solid #ddd;
	margin: 0;
}

#utpmy #main.text .box a:link,
#utpmy #main.text .box a:visited {
	background: none;
	font: bold 14px "Roboto", sans-serif;
	text-decoration: none;
	border-bottom: 1px solid #ddd;
}

#utpmy #main.text .box a:hover,
#utpmy #main.text .box a:active,
#utpmy #main.text .box a:focus {
	text-decoration: underline;
}

	/* Browse Disciplines */

#utpmy #content .subnav li {
	font-size: 13px;
}

#utpmy .discipline-browser dt,
#utpmy .new-discipline dt {
	font-size: 15px;
}
#utpmy .discipline-browser dd,
#utpmy .new-discipline dd,
#utpmy dl.communities dd ul li {
	font-size: 14px;
}

#utpmy .discipline-browser dd,
#utpmy .new-discipline dd {
    padding: 3px 0;
}

	/* Submit Research */

#utpmy .communities dt,
#utpmy .communities dt a:link {
	font-size: 14px;
	font-weight: normal;
}
#utpmy dl.communities dd ul li {
    line-height: 1.3em;
}

	/* Announcements */

#utpmy #main.text #announce h3,
#utpmy #main.text #announce h4 {
 	font-size: 15px;
}

	/* Site subpage headings */
#utpmy #main.text h2#ir-about,
#utpmy #main.text h2#faq-top,
#utpmy #main.text h2#communities-title,
#utpmy #main.text h2#top,
#utpmy #main.text h2#submit-title,
#utpmy #main.text #announce h2,
#utpmy #main.text #accessibility-statement h2 {
	font-size: 22px;
}

	/* homepage stats */

#utpmy p#stats,
#utpmy #main.text #network-icon a {
	font-size: 13px;
}

	/* Article pages series/journal/event */

#utpmy #alpha .element p,
#utpmy #custom-fields .element p,
#utpmy #alpha #recommended_citation p,
#utpmy #alpha #attach_additional_files .files span {
	font-size: 14px;
}

#utpmy #beta_7-3 #beta-disciplines.aside p {
	font-size: 14px !important;
}

#utpmy #alpha .element h4,
#utpmy #custom-fields .element h4,
#utpmy #beta_7-3 h4,
#utpmy #alpha #attach_additional_files .related strong {
	font-size: 15px !important;
}
#utpmy #alpha #title.element p {
	font-size: 22px;
}

/* ---------------- Footer ---------------- */

#utpmy #footer,
#utpmy #bepress a {
	height: 75px;
	background-color: #143768;
}

#utpmy #bepress a {
	background-image: url(assets/md5images/96b516c30fb7fdc1d3fe4dc6d556b6f8.svg);
    background-size: 210px;
    background-position: center;
}

#utpmy #footer p,
#utpmy #footer p a {
	font: normal 13px/1.6 "Roboto", sans-serif;
	color: #fff;
	text-decoration: none;
}

#utpmy  #footer a.secondary-link { font-size: 11px; }

#utpmy #footer p:first-of-type { padding-top: 20px; }

#utpmy #footer p a:hover,
#utpmy #footer p a:active,
#utpmy #footer p a:focus {
	text-decoration: underline;
}

/* ---------------- Miscellaneous fixes ---------------- */

	/* Browse Authors accessibility fix (CSFR-2684) */

#utpmy #main.text .authorbrowser p.letters a:hover,
#utpmy #main.text .authorbrowser p.letters a:focus {
   background: url(/assets/azMe.jpg) bottom center no-repeat;
   color: #fff;
}

	/* Remove gap under search pages for full-width footers */

.legacy #utpmy #wrapper:after { content: none; }

	/* Search */

#utpmy #main.text a:link span.icon-question-sign {
	text-decoration: none;
}

	/* Increase contrast on My Account headings */

#utpmy .text #myaccount h2 { color: #000; }

/* ---------------- Mobile ---------------- */

.mbl #utpmy #header {
	background: url(assets/md5images/da8f84975d2a4f0fc68ac759b4bb8506.png) no-repeat left top;
}

.mbl #utpmy #header,
.mbl #utpmy #header a#banner_link img,
.mbl #utpmy #navigation {
	width: 100% !important;
}

.mbl #utpmy #header #logo_image {
	position: absolute !important; /* !important overrides mbl styling */
	top: 0;
	left: 0;
	width: 23.979591836734694% !important;  /* 470 / 1960 */
	height: auto !important; /* !important avoids DC assigning incorrect height to logo image */
}

	/* fixes invisible space above header */

header#mobile-nav { 
    font-size: 0;
    line-height: 0;
}

	/* fixes bullet underline for Browse Research and Scholarship links */

.mbl #main #buttons { text-decoration: none; }

	/* stacks headings and spans in .box */

.mbl #utpmy .box.aag h2,
.mbl #utpmy .box.potd h2 {
	width: 100%;
}
	
.mbl .box.aag span,
.mbl .box.potd span {
    display: block;
}

.mbl #utpmy #dcn-home #homepage-heading-row {
  align-items: center;
}
.mbl #utpmy #dcn-home #homepage-heading-row .btn {
  display: inline;
}
.mbl #utpmy #dcn-home #homepage-heading-row .btn:hover,
.mbl #utpmy #dcn-home #homepage-heading-row .btn:focus,
.mbl #utpmy #dcn-home #homepage-heading-row .btn:active {
  margin-left: 0;
}
.mbl #utpmy #dcn-home span.site-follow {
  margin: 0 5px;
}

  /* --- footer logo --- */

.mbl #utpmy #footer #bepress a {
	background: transparent url(assets/md5images/96b516c30fb7fdc1d3fe4dc6d556b6f8.svg) center no-repeat !important;
	background-size: 235px !important;
	height: 50px !important;
	margin: 0px !important;
}

.mbl #utpmy #footer {
	background-color: #143768 !important;
	background-image: none !important;
}

/* Hiding Collections link in Browse section */
#utpmy #sidebar ul#side-browse li.collections { display:none; }
/* Hiding Author Corner links in sidebar */
#utpmy #sidebar ul#side-author { display: none; }

/* Hiding FAQ links from the navigation bar */
#utpmy #navigation #tabs #tabthree,
#utpmy #navigation #tabs #tabfour {
  display: none;
}

#utpmy #content #main.text p { text-align: justify; }
.mbl #main #coverart #alpha { width: 96% !important; }

#utpmy #content ul li {list-style-type: disc !important;}